import Vue from 'vue'
import App from './App'
//引入vuex
import store from '@/store'
//引入所有工具函数
import utils from '@/utils'
//引入所有接口函数
import api from '@/api'

Vue.config.productionTip = false
App.mpType = 'app'

//goPageGetData中存在this需要引用当前
Vue.prototype.goPageGetData = utils.goPageGetData
//挂载工具类
Vue.prototype.$utils = utils
//挂载请求接口
Vue.prototype.$api = api

const app = new Vue({
	store,
	...App
})
app.$mount()
